# multikit "invoked command" for "RealAudio" and "RealVideo" sessions
# The Real Networks "Real Player" ("realplay") - version 4.0 or later -
# is required
#  version: 1997.10.23

# The main routine (invoked command):

proc mk_realplayer_launcher {ourProgId ourInternetAddress ourPortNum ourTTL ourPublicKey args} {
	array set attributeArgs $args

	# There must be a "prognet_hack" attribute that contains a URL argument
	# for "rvplayer"
	if {[info exists attributeArgs(prognet_hack)]} {
		set execCmd "realplay $attributeArgs(prognet_hack)"
		if {[catch {eval exec $execCmd &} result]} {
			tk_messageBox -title "mk_realplayer_launcher: error" \
				-message "Failed to exec \"$execCmd\": $result" \
				-icon warning -type ok
		}
	}
}
